import c4d,webbrowser

# Send copied text to a different web search pages

# Author: Mike Udin
# Website: http://mikeudin.net
# Check out here Cinema4D tutorials, plug-ins, scripts, xpresso presets and more!..


def main():

    # You can customize this tuple with adding your entries or removing unnecessaries  
    
    s_engines = (
                ('C4D Python SDK','https://developers.maxon.net/docs/Cinema4DPythonSDK/html/search.html?q={0}&check_keywords=yes&area=default'),
                ('PluginCafe','https://plugincafe.maxon.net/search?term={0}&in=titlesposts'),
                ('C4DCafe','https://www.c4dcafe.com/ipb/search/?&q={0}&search_and_or=or&sortby=relevancy'),
                ('Google','https://www.google.com/search?q=cinema4d+{0}'),
                ('GitHub','https://github.com/search?q=c4d+python+{0}&ref=opensearch'),
                ('StackOverflow','https://stackoverflow.com/search?q=python+{0}'),
                ('mikeudin','http://mikeudin.net/?s={0}'),
                (';-)','http://lmgtfy.com/?q=what%27s+is+{0}')
                )


    menu = c4d.BaseContainer()
    for num,eng in enumerate(s_engines):
        menu.InsData(c4d.FIRST_POPUP_ID+num,'&i100004807&'+eng[0])

    index = c4d.gui.ShowPopupDialog(cd=None, bc=menu, x=c4d.MOUSEPOS, y=c4d.MOUSEPOS)-c4d.FIRST_POPUP_ID

    if index < 0: return

    url = s_engines[index][1].format(c4d.GetStringFromClipboard())

    webbrowser.open(url, new=2, autoraise=True)


if __name__ == '__main__':
    main()